MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008346MediaMonkey (current)Framework: Taggingpublic2011-09-07 14:372011-09-16 19:45
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0008346: Certain files trigger endless audio repetition when tagged
DescriptionThere have been several reports in the forum of audio repeating endlessly and/or 2 streams of audio playing at the same time. I just discovered a set of files that exhibit this with MM4 as follows:

1) Set rights on a network location such that the logged in user cannot edit the file
2) Play the file in MM
3) Tag the file in MM
--> MM will attempt to tag the file, but can't because it doesn't have rights. Nonetheless, audio playback will become messed up, playing ~10s of audio endlessly until the user presses 'stop'.

A similar bug occurs with MM3, except that the repetition only occurs 1-2 times and then the track continues.

Note:
- When the track is tagged locally, the bug doesn't occur at all.
- There is something specific about this file that triggers the problem (many other files don't exhibit the problem), most likely related to another symptom that when playing this file from a network location, it takes ~3s before playback begins.

Leaving to Jiri to triage.
Additional InformationFile is posted to ftp.
TagsNo tags attached.
Fixed in build1431
Attached Files

- Relationships
related to 0008178closedjiri Playback sometimes stops or skips tracks 
related to 0009116assignedLudek Playback repeat during Synchronize Tag on 2000+ files 

-  Notes
(0027608)
jiri (administrator)
2011-09-12 10:58

Fixed in build 1431.
 - I couldn't fully reproduce, but there was a small improvement possible, it will probably help.
(0027781)
peke (developer)
2011-09-16 19:45

Verified 1433


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker